searchData={"items":[{"type":"task","title":"mix compile.ex_task","doc":"Runs Task, a task runner / build tool, in the current project.\n\nThis task installs Task, and runs `task` in the current project;\nany output coming from `task` is printed in real-time on stdout.","ref":"Mix.Tasks.Compile.ExTask.html"},{"type":"task","title":"Configuration - mix compile.ex_task","doc":"This compiler can be configured through the return value of the `project/0` function in `mix.exs`;\nfor example:\n\n```elixir\n  def project() do\n    [\n      app: :myapp,\n      compilers: [:ex_task] ++ Mix.compilers,\n      deps: deps()\n    ]\n  end\n```\n\nNo option is available now.","ref":"Mix.Tasks.Compile.ExTask.html#module-configuration"},{"type":"task","title":"Default environment variables - mix compile.ex_task","doc":"There are also several default environment variables set:\n\n* `MIX_TARGET`\n* `MIX_ENV`\n* `MIX_BUILD_PATH` - same as [`Mix.Project.build_path/0`](https://hexdocs.pm/mix/Mix.Project.html#build_path/0)\n* `MIX_APP_PATH` - same as [`Mix.Project.app_path/0`](https://hexdocs.pm/mix/Mix.Project.html#app_path/0)\n* `MIX_COMPILE_PATH` - same as [`Mix.Project.compile_path/0`](https://hexdocs.pm/mix/Mix.Project.html#compile_path/0)\n* `MIX_CONSOLIDATION_PATH` - same as [`Mix.Project.consolidation_path/0`](https://hexdocs.pm/mix/Mix.Project.html#consolidation_path/0)\n* `MIX_DEPS_PATH` - same as [`Mix.Project.deps_path/0`](https://hexdocs.pm/mix/Mix.Project.html#deps_path/0)\n* `MIX_MANIFEST_PATH` - same as [`Mix.Project.manifest_path/0`](https://hexdocs.pm/mix/Mix.Project.html#manifest_path/0)\n* `ERL_EI_LIBDIR`\n* `ERL_EI_INCLUDE_DIR`\n* `ERTS_INCLUDE_DIR`\n* `ERL_INTERFACE_LIB_DIR`\n* `ERL_INTERFACE_INCLUDE_DIR`","ref":"Mix.Tasks.Compile.ExTask.html#module-default-environment-variables"},{"type":"extras","title":"ExTask","doc":"# ExTask\n\nExTask: Task, a task runner / build tool, for Mix","ref":"readme.html"},{"type":"extras","title":"Documentation - ExTask","doc":"API documentation is available at https://hexdocs.pm/ex_task","ref":"readme.html#documentation"},{"type":"extras","title":"Usage - ExTask","doc":"The package can be installed by adding `ex_task` to your list of dependencies in `mix.exs`:\n\n```elixir\n  def deps do\n    [{:ex_task, \"~> 0.1\", runtime: false}]\n  end\n```\n\nStill in your `mix.exs` file, you will need to add `:ex_task` to your list of compilers in `project/0`:\n\n```elixir\n  compilers: [:ex_task] ++ Mix.compilers,\n```\n\n\nAnd that's it. The command above invoke [installing script](https://taskfile.dev/installation#install-script) and the `task` command that is just installed.","ref":"readme.html#usage"},{"type":"extras","title":"Publishing a package to Hex.pm - ExTask","doc":"When publishing a package to Hex.pm using `ex_task` requires you to add any file (such as the Taskfile.yml and any source files) to the `files` option. See [the hex docs](https://hex.pm/docs/publish#adding-metadata-to-code-classinlinemixexscode)\n\n```elixir\n  defp package do\n    [\n      # ...\n      files: [\n        \"lib\", \"LICENSE\", \"mix.exs\", \"README.md\", # These are the default files\n        \"src/*.[ch]\", \"Taskfile.yml\"], # You will need to add something like this.\n      # ...\n    ]\n  end\n```","ref":"readme.html#publishing-a-package-to-hex-pm"},{"type":"extras","title":"License - ExTask","doc":"Copyright (c) 2024 University of Kitakyushu\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at [http://www.apache.org/licenses/LICENSE-2.0](http://www.apache.org/licenses/LICENSE-2.0)\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\nlimitations under the License.","ref":"readme.html#license"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}